#include <bits/stdc++.h>
using namespace std;

int main(){
	int t;
	cin>>t;
	int a,b;
	for(int i=0;i<t;i++){
	cin>>a>>b;
	if(max(a,b)/2>min(a,b))cout<<"-1";
	else{
		for(int i=0;i<a;i++){
		
		for(int j=0;j<b;j++){
			cout<<"1"<<" ";
		}
		cout<<endl;
	}
	}
	}

return 0;
}